NXOpen .NET Reference  12.0.0
Properties | List of all members
NXOpen.SketchConicBuilder Class Reference

Represents a NXOpen.SketchConicBuilder builder More...

Inheritance diagram for NXOpen.SketchConicBuilder:
NXOpen.Builder NXOpen.GeometricUtilities.IComponentBuilder

Properties

unsafe NXOpen.Point ControlPoint [get, set]
 Returns or sets the control point More...
 
unsafe NXOpen.Point EndPoint [get, set]
 Returns or sets the end point More...
 
unsafe double Rho [get, set]
 Returns or sets the Rho value More...
 
unsafe NXOpen.Point StartPoint [get, set]
 Returns or sets the start point More...
 

Additional Inherited Members

- Public Member Functions inherited from NXOpen.Builder
unsafe NXOpen.NXObject Commit ()
 Commits any edits that have been applied to the builder. More...
 
unsafe void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
unsafe NXOpen.NXObject[] GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
unsafe NXOpen.NXObject GetObject ()
 Returns the object currently being edited by this builder. More...
 
unsafe void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
unsafe bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 

Detailed Description

Represents a NXOpen.SketchConicBuilder builder

To create a new instance of this class, use NXOpen.SketchCollection.CreateSketchConicBuilder

Default values.

Property Value

Rho

0.5

Created in NX6.0.0

Property Documentation

unsafe NXOpen.Point NXOpen.SketchConicBuilder.ControlPoint
getset

Returns or sets the control point

Created in NX6.0.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe NXOpen.Point NXOpen.SketchConicBuilder.EndPoint
getset

Returns or sets the end point

Created in NX6.0.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe double NXOpen.SketchConicBuilder.Rho
getset

Returns or sets the Rho value

Created in NX6.0.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe NXOpen.Point NXOpen.SketchConicBuilder.StartPoint
getset

Returns or sets the start point

Created in NX6.0.0

License requirements to get this property: None.

License requirements to set this property: None.


The documentation for this class was generated from the following file:
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.